cURL
curl --request PATCH \
--url https://api.useanima.sh/v1/orgs/{orgId}/compliance/dsars/{dsarId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"processedBy": "<string>",
"response": {}
}
'import requests
url = "https://api.useanima.sh/v1/orgs/{orgId}/compliance/dsars/{dsarId}"
payload = {
"processedBy": "<string>",
"response": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({processedBy: '<string>', response: {}})
};
fetch('https://api.useanima.sh/v1/orgs/{orgId}/compliance/dsars/{dsarId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.useanima.sh/v1/orgs/{orgId}/compliance/dsars/{dsarId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'processedBy' => '<string>',
'response' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.useanima.sh/v1/orgs/{orgId}/compliance/dsars/{dsarId}"
payload := strings.NewReader("{\n \"processedBy\": \"<string>\",\n \"response\": {}\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.useanima.sh/v1/orgs/{orgId}/compliance/dsars/{dsarId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"processedBy\": \"<string>\",\n \"response\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.useanima.sh/v1/orgs/{orgId}/compliance/dsars/{dsarId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"processedBy\": \"<string>\",\n \"response\": {}\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"orgId": "<string>",
"type": "ACCESS",
"status": "RECEIVED",
"subjectEmail": "<string>",
"subjectName": "<string>",
"subjectId": "<string>",
"description": "<string>",
"requestedAt": "<string>",
"verifiedAt": "<string>",
"dueAt": "<string>",
"completedAt": "<string>",
"processedBy": "<string>",
"response": {},
"metadata": {},
"createdAt": "<string>",
"updatedAt": "<string>"
}API Reference
Patch orgs compliancedsars
PATCH
/
orgs
/
{orgId}
/
compliance
/
dsars
/
{dsarId}
cURL
curl --request PATCH \
--url https://api.useanima.sh/v1/orgs/{orgId}/compliance/dsars/{dsarId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"processedBy": "<string>",
"response": {}
}
'import requests
url = "https://api.useanima.sh/v1/orgs/{orgId}/compliance/dsars/{dsarId}"
payload = {
"processedBy": "<string>",
"response": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({processedBy: '<string>', response: {}})
};
fetch('https://api.useanima.sh/v1/orgs/{orgId}/compliance/dsars/{dsarId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.useanima.sh/v1/orgs/{orgId}/compliance/dsars/{dsarId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'processedBy' => '<string>',
'response' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.useanima.sh/v1/orgs/{orgId}/compliance/dsars/{dsarId}"
payload := strings.NewReader("{\n \"processedBy\": \"<string>\",\n \"response\": {}\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.useanima.sh/v1/orgs/{orgId}/compliance/dsars/{dsarId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"processedBy\": \"<string>\",\n \"response\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.useanima.sh/v1/orgs/{orgId}/compliance/dsars/{dsarId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"processedBy\": \"<string>\",\n \"response\": {}\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"orgId": "<string>",
"type": "ACCESS",
"status": "RECEIVED",
"subjectEmail": "<string>",
"subjectName": "<string>",
"subjectId": "<string>",
"description": "<string>",
"requestedAt": "<string>",
"verifiedAt": "<string>",
"dueAt": "<string>",
"completedAt": "<string>",
"processedBy": "<string>",
"response": {},
"metadata": {},
"createdAt": "<string>",
"updatedAt": "<string>"
}Authorizations
BearerAuthApiKeyAuth
Body
application/json
Response
200 - application/json
OK
A data subject access request record
